Subject: Re: [PowerPC] [PASEMI] Issue with the identification of ATA drives after the of/irq updates 2024-05-29

From: Michael Ellerman <[email-masked]>
Date: Tue, 09 Jul 2024 22:48:23 +1000

Damien Stewart <[email-masked]> writes:
> Hello.
>
>> How does it fail? I've repeatedly asked for dmesg outputs
>> for working and non-working configurations.
>
> I am the alleged tester. Attached are two dmesg logs. First one fails.
> Second passes with 2nd IRQ patch. Also attached is device tree blob if
> I've followed the correct command.
>
> The good log is direct from dmesg. But the bad log is collected live
> over serial, since it ends up in kernel panic, with no where to save
> it.

Thanks.

Which kernel is the bad log from? Just plain rc6 with no patches?

What happened when you tried the patch from me? I think Christian called
it vmlinux-6.10-17. Did you get any different output?

Does anything appear before the "hash-mmu" lines? Those are from the
kernel, we'd really like to see the output from firmware which runs
before that.

cheers